Subject: bug#66117: 30.0.50; `find-buffer-visiting' is slow when opening large number of buffers

From: Eli Zaretskii <[email-masked]>
Date: Sat, 23 Dec 2023 13:51:10 +0200

> From: Ihor Radchenko <[email-masked]>
> Cc: [email-masked], [email-masked], [email-masked]
> Date: Sat, 23 Dec 2023 11:28:33 +0000
> 
> >> 3. Optionally add tests
> >
> > I hope the tests will not be optional...
> 
> Didn't you say earlier that tests are not strictly necessary in
> <https://debbugs.gnu.org/cgi/bugreport.cgi?bug=66117#361>?
> 
> I do not mind adding tests, but it will not be as fast - I need help
> with them.

We could install just a few now, and the rest afterwards.  You have
already presented enough non-trivial cases that can be easily
converted to tests, and I think it is a good idea to do that when we
change such low-level and veteran code.

So yes, it is not strictly necessary, but highly desirable.